// STL
#include <iostream>

// IRAFM
#include <irafm/ea.h>

using namespace std;
using namespace irafm;

class ExampleMember : public PopulationMember {
public:
   ExampleMember(Vector aData): PopulationMember(aData) {}

   virtual real criteria() const {
      return rastrigin(data);
   }
};

class ExampleProblem : public Problem {
public:
   ExampleProblem(): Problem("Rastrigin function") {
      searchSpace_.addDimension(math::Interval(-500, 500));
      searchSpace_.addDimension(math::Interval(-500, 500));
      searchSpace_.addDimension(math::Interval(-500, 500));
      searchSpace_.addDimension(math::Interval(-500, 500));
      searchSpace_.addDimension(math::Interval(-500, 500));
   }

   virtual ptrPopulationMember newMember(const Vector aData) const {
      return new ExampleMember(aData);
   }

   virtual Population initialPopulation() const {
      return randomPopulation(10 * dimension());
   }
};

int main() {
   DEAlgorithm algorithm(CompetitiveMemberGenerator::DER9());
   ptrPopulationMember result;

   result = algorithm.optimize(
      new ExampleProblem(),
      new StreamReporter(cout, rlFull)
   );

   cout << endl << "Solution: " << result->print() << endl;

   return 0;
}
