#ifndef domain_box_h
#define domain_box_h

// STL
#include <vector>

#include "interval.h"
#include "linear_algebra.h"

namespace irafm {

namespace math {

class DomainBox {
public:
   void addDimension(Interval bounds);

   size_t dimension() const {
      return intervals_.size();
   }

   bool containsVector(Vector v) const;

   Vector bound(Vector v) const;

   Vector randomVector() const;

private:
   std::vector<Interval> intervals_;
};

} // namespace math

} // namespace irafm

#endif // domain_box_h

// $Log: domain_box.h,v $
// Revision 1.4  2010/03/23 14:28:19  victor
// astyle reformat
// Committed on the Free edition of March Hare Software CVSNT Server.
// Upgrade to CVS Suite for more features and support:
// http://march-hare.com/cvsnt/
//
// Revision 1.3  2009/04/07 08:43:00  victor
// Astyle reformat
// Committed on the Free edition of March Hare Software CVSNT Server.
// Upgrade to CVS Suite for more features and support:
// http://march-hare.com/cvsnt/
//
// Revision 1.2  2007/12/04 14:53:09  victor
// + vector bounding
//
// Revision 1.1  2007/11/15 14:50:00  victor
// Initial revision
//
