#ifndef functions_h
#define functions_h

#include "real.h"

namespace irafm {

namespace math {

/// Linear mapping value from interval <a; b> into <u; v>
real linear_map(const real &value,
                const real &a, const real &b, const real &u, const real &v);

/// Arithmetic average
real avg(const real &a, const real &b);

/// Bounds value x into interval <a; b>
real bound(const real &a, const real &x, const real &b);

/// generate integer random number from interval <0; maxRandomValue - 1>
unsigned long int random(long int maxRandomValue);

} // namespace math

} // namespace irafm

#endif // functions

// $Log: functions.h,v $
// Revision 1.4  2010/03/23 14:28:19  victor
// astyle reformat
// Committed on the Free edition of March Hare Software CVSNT Server.
// Upgrade to CVS Suite for more features and support:
// http://march-hare.com/cvsnt/
//
// Revision 1.3  2009/04/07 08:43:00  victor
// Astyle reformat
// Committed on the Free edition of March Hare Software CVSNT Server.
// Upgrade to CVS Suite for more features and support:
// http://march-hare.com/cvsnt/
//
// Revision 1.2  2007/11/15 15:36:18  victor
// + random(max)
//
// Revision 1.1  2007/04/05 14:14:25  Viktor
// Initial revision
//
