// STL
#include <cstdlib>

#include "interval.h"

namespace irafm {

namespace math {

bool operator<(const Interval I, const Interval J) {
   return (I.left < J.left);
}

std::ostream& operator <<(std::ostream &os, const Interval I) {
   os << "<" << I.left << "; " << I.right << ">";

   return os;
}

real Interval::randomValue() const {
   long int rndValue = rand();
   real uniValue = real(rndValue) / real(RAND_MAX);

   return uniValue * width() + left;
}

}

}

// $Log: interval.cpp,v $
// Revision 1.3  2010/03/23 14:28:19  victor
// astyle reformat
// Committed on the Free edition of March Hare Software CVSNT Server.
// Upgrade to CVS Suite for more features and support:
// http://march-hare.com/cvsnt/
//
// Revision 1.2  2009/04/07 08:43:00  victor
// Astyle reformat
// Committed on the Free edition of March Hare Software CVSNT Server.
// Upgrade to CVS Suite for more features and support:
// http://march-hare.com/cvsnt/
//
// Revision 1.1  2007/11/07 12:52:34  victor
// Merging Interval implementation from TabuCones
//
