#ifndef linear_algebra_h
#define linear_algebra_h

#include "../svmt.h"
#include "../defs.h"

typedef doubleVector Vector;
typedef doubleMatrix Matrix;

namespace irafm {

namespace math {

size_t size(const Vector &v);

bool same_size(const Vector &u, const Vector &v);

/// reflection of vector x around center
Vector reflection(Vector x, Vector center);

} // namespace math

} // namespace irafm

#endif // linear_algebra_h

// $Log: linear_algebra.h,v $
// Revision 1.3  2010/03/23 14:28:19  victor
// astyle reformat
// Committed on the Free edition of March Hare Software CVSNT Server.
// Upgrade to CVS Suite for more features and support:
// http://march-hare.com/cvsnt/
//
// Revision 1.2  2007/11/14 13:32:34  victor
// + vector reflection around center
//
// Revision 1.1  2007/04/05 14:14:26  Viktor
// Initial revision
//
