#include "solver.h"

namespace irafm {

namespace math {

Vector linear_solve(const Matrix &A, const Vector &b) {
   // make copy of A
   Matrix M = A;

   offsetVector p = M.lud();
   Vector y = b.pl(p, M);
   Vector x = y.du(M);

   return x;
}

Vector linear_LMS_solve(const Matrix &A, const Vector &b) {
   // make copy of A
   Matrix M = A;

   offsetVector p = M.qrd();
   Vector y = b.pq(p, M);
   Vector x = y.du(M);

   return x;
}

} // namespace math

} // namespace irafm

// $Log: solver.cpp,v $
// Revision 1.3  2010/03/23 14:28:19  victor
// astyle reformat
// Committed on the Free edition of March Hare Software CVSNT Server.
// Upgrade to CVS Suite for more features and support:
// http://march-hare.com/cvsnt/
//
// Revision 1.2  2009/04/07 08:43:00  victor
// Astyle reformat
// Committed on the Free edition of March Hare Software CVSNT Server.
// Upgrade to CVS Suite for more features and support:
// http://march-hare.com/cvsnt/
//
// Revision 1.1  2007/04/05 14:14:27  Viktor
// Initial revision
//
